OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - s -

- SatisfyDemand() : LinkGraphJob::Edge
- Save() : AI , HotkeyList , ScriptInstance , Game
- SaveEmpty() : ScriptInstance
- SaveFilter() : SaveFilter
- SaveObject() : ScriptInstance
- SavePresetWindow() : SavePresetWindow
- SaveToConfig() : WindowDesc
- SaveToDisk() : IniFile
- Scale() : LinkGraph
- ScaleToMonthly() : FlowStat
- Scan() : ScenarioScanner , LanguageScanner , FileScanner
- ScanForStationTiles() : StationRect
- ScanProgressWindow() : ScanProgressWindow
- ScenarioScanner() : ScenarioScanner
- Script_FatalError() : Script_FatalError
- Script_Suspend() : Script_Suspend
- ScriptConfig() : ScriptConfig
- ScriptFileChecksumCreator() : ScriptFileChecksumCreator
- ScriptInstance() : ScriptInstance
- Scroll() : IConsoleWindow
- ScrollBuffer() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- ScrollToSelected() : NetworkContentListWindow
- ScrollToSelectedServer() : NetworkGameWindow
- ScrollTowards() : Scrollbar
- SearchNonStop() : StationViewWindow
- Select() : ClientNetworkContentSocketHandler
- SelectAll() : ClientNetworkContentSocketHandler
- SelectBlitter() : BlitterFactory
- SelectDisplayPlanes() : SelectCompanyManagerFaceWindow
- SelectDriver() : DriverFactoryBase
- SelectDriverImpl() : DriverFactoryBase
- SelectFirstAvailableAirport() : BuildAirportWindow
- SelectFirstAvailableObject() : BuildObjectWindow
- SelectGroupBy() : StationViewWindow
- SelectLegendItem() : SmallMapWindow
- SelectNextPage() : StoryBookWindow
- SelectOtherClass() : BuildObjectWindow
- SelectOtherObject() : BuildObjectWindow
- SelectPlane() : VehicleViewWindow
- SelectPrevPage() : StoryBookWindow
- SelectRandomAI() : AIScannerInfo
- SelectSortBy() : StationViewWindow
- SelectSortOrder() : StationViewWindow
- SelectUpgrade() : ClientNetworkContentSocketHandler
- SelectValidDebugCompany() : AIDebugWindow
- Send() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Send_bool() : Packet
- Send_string() : Packet
- Send_uint16() : Packet
- Send_uint32() : Packet
- Send_uint64() : Packet
- Send_uint8() : Packet
- SendAck() : ClientNetworkGameSocketHandler
- SendChat() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendClientError() : ServerNetworkAdminSocketHandler
- SendClientInfo() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendClientJoin() : ServerNetworkAdminSocketHandler
- SendClientQuit() : ServerNetworkAdminSocketHandler
- SendClientUpdate() : ServerNetworkAdminSocketHandler
- SendCmdLogging() : ServerNetworkAdminSocketHandler
- SendCmdNames() : ServerNetworkAdminSocketHandler
- SendCommand() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendCompanyEconomy() : ServerNetworkAdminSocketHandler
- SendCompanyInfo() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendCompanyInformation() : NetworkSocketHandler
- SendCompanyInformationQuery() : ClientNetworkGameSocketHandler
- SendCompanyNew() : ServerNetworkAdminSocketHandler
- SendCompanyPassword() : ClientNetworkGameSocketHandler
- SendCompanyRemove() : ServerNetworkAdminSocketHandler
- SendCompanyStats() : ServerNetworkAdminSocketHandler
- SendCompanyUpdate() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendConfigUpdate() : ServerNetworkGameSocketHandler
- SendConsole() : ServerNetworkAdminSocketHandler
- SendDate() : ServerNetworkAdminSocketHandler
- SendError() : ServerNetworkAdminSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendErrorQuit() : ServerNetworkGameSocketHandler
- SendFrame() : ServerNetworkGameSocketHandler
- SendGamePassword() : ClientNetworkGameSocketHandler
- SendGameScript() : ServerNetworkAdminSocketHandler
- SendGetMap() : ClientNetworkGameSocketHandler
- SendGRFIdentifier() : NetworkSocketHandler
- SendJoin() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendMap() : ServerNetworkGameSocketHandler
- SendMapOk() : ClientNetworkGameSocketHandler
- SendMove() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendNeedCompanyPassword() : ServerNetworkGameSocketHandler
- SendNeedGamePassword() : ServerNetworkGameSocketHandler
- SendNetworkGameInfo() : NetworkUDPSocketHandler
- SendNewGame() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendNewGRFCheck() : ServerNetworkGameSocketHandler
- SendNewGRFsOk() : ClientNetworkGameSocketHandler
- SendPacket() : NetworkTCPSocketHandler , NetworkUDPSocketHandler
- SendPackets() : NetworkTCPSocketHandler
- SendPong() : ServerNetworkAdminSocketHandler
- SendProtocol() : ServerNetworkAdminSocketHandler
- SendQuit() : ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- SendRCon() : ClientNetworkGameSocketHandler
- SendRcon() : ServerNetworkAdminSocketHandler
- SendRconEnd() : ServerNetworkAdminSocketHandler
- SendRConResult() : ServerNetworkGameSocketHandler
- SendReceive() : ClientNetworkContentSocketHandler
- SendSetName() : ClientNetworkGameSocketHandler
- SendSetPassword() : ClientNetworkGameSocketHandler
- SendShutdown() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- SendSignal() : ThreadMutex , ThreadMutex_None , ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- SendSync() : ServerNetworkGameSocketHandler
- SendToDepot() : Vehicle
- SendWait() : ServerNetworkGameSocketHandler
- SendWelcome() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- ServerNetworkAdminSocketHandler() : ServerNetworkAdminSocketHandler
- ServerNetworkGameSocketHandler() : ServerNetworkGameSocketHandler
- ServerNetworkUDPSocketHandler() : ServerNetworkUDPSocketHandler
- Set() : Hash , VehicleSpriteSeq
- SetArticulatedPart() : GroundVehicle< T, Type >
- SetButtons() : BuildIndustryWindow , SettingEntry
- SetCallerGRFID() : NewGRFInspectWindow
- SetCapacity() : Scrollbar
- SetCapacityFromWidget() : Scrollbar
- SetCargo() : CargoPayment
- SetCargoFilterArray() : BuildVehicleWindow
- SetCargoMask() : LinkGraphOverlay
- SetClicked() : NWidgetMatrix
- SetColour() : FontState
- SetCompanyMask() : LinkGraphOverlay
- SetConditionComparator() : Order
- SetConditionSkipToOrder() : Order
- SetConditionValue() : Order
- SetConditionVariable() : Order
- SetCount() : NWidgetMatrix , Scrollbar
- SetCurPosition() : IcuStringIterator , StringIterator
- SetDataTip() : NWidgetCore
- SetDateWindow() : SetDateWindow
- SetDemand() : LinkGraph::Node
- SetDemandPerNode() : SymmetricScaler , AsymmetricScaler
- SetDemands() : Scaler , SymmetricScaler
- SetDepotActionType() : Order
- SetDepotOrderType() : Order
- SetDestination() : Order , CYapfDestinationTileT< Types >
- SetDirty() : NWidgetBase , NWidgetSpacer , Window
- SetDisabled() : NWidgetCore
- SetDisplayedHelpText() : GameSettingsWindow
- SetDisplayedPlane() : NWidgetStacked
- SetDisplayedRow() : StationViewWindow
- SetDParam() : ErrorMessageData
- SetDParamStr() : ErrorMessageData
- SetDummyAI() : AIScannerInfo
- SetEngine() : GroundVehicle< T, Type >
- SetEntitySpec() : HouseOverrideManager , IndustryOverrideManager , ObjectOverrideManager
- SetEntranceBusy() : RoadStop
- SetErrorMessage() : CrashLog
- SetFill() : NWidgetResizeBase
- SetFilterFuncs() : GUIList< T, F >
- SetFiltering() : GUIList< T, F >
- SetFilterState() : GUIList< T, F >
- SetFilterString() : SignListWindow
- SetFilterTerm() : StringFilter
- SetFilterType() : GUIList< T, F >
- SetFocusedWidget() : Window
- SetFontNames() : MissingGlyphSearcher , TextfileWindow
- SetFontSize() : FontState
- SetFreeWagon() : GroundVehicle< T, Type >
- SetFrontEngine() : GroundVehicle< T, Type >
- SetGlobalPointer() : Squirrel
- SetHighlighted() : NWidgetCore
- SetIndex() : NWidgetCore
- SetInfo() : NetworkGameSocketHandler
- SetLastField() : BaseSettingEntry
- SetLastSpeed() : GroundVehicle< T, Type >
- SetListing() : GUIList< T, F >
- SetLoadPlace() : CargoPacket
- SetLoadType() : Order
- SetLowered() : NWidgetCore
- SetMaxSpeed() : Order
- SetMediaSet() : GameOptionsWindow
- SetMinimalSize() : NWidgetResizeBase
- SetMinimalTextLines() : NWidgetResizeBase
- SetMode() : FileToSaveLoad
- SetMultiheaded() : GroundVehicle< T, Type >
- SetName() : FileToSaveLoad
- SetNewScroll() : SmallMapWindow
- SetNext() : Vehicle
- SetNextStation() : CargoPacket
- SetNode() : GraphEdgeIterator , FlowEdgeIterator
- SetNonStopType() : Order
- SetObjectAtStringParameters() : NIHelper
- SetOrigin() : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- SetOriginFromVehiclePos() : CYapfFollowRoadT< Types >
- SetOverlay() : LinkGraphLegendWindow
- SetOverlayCargoMask() : SmallMapWindow
- SetPadding() : NWidgetBase
- SetParameterDefaults() : GRFConfig
- SetPIP() : NWidgetPIPContainer , NWidgetBackground
- SetPixel() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- SetPort() : NetworkAddress
- SetPortAlphaOpaque() : CocoaSubdriver
- SetPosition() : Scrollbar
- SetPreviousColour() : FontState
- SetPrintFunction() : Squirrel
- SetRefit() : Order
- SetReservationTarget() : CYapfReserveTrack< Types >
- SetResize() : NWidgetResizeBase
- SetScrollbar() : NWidgetMatrix
- SetSeed() : Randomizer
- SetSelectedPage() : StoryBookWindow
- SetSelection() : RefitWindow
- SetSet() : BaseMedia< Tbase_set >
- SetSetting() : AIConfig , ScriptConfig
- SetShaded() : Window
- SetSimpleStringParameters() : NIHelper
- SetSortFuncs() : GUIList< T, F >
- SetSortType() : GUIList< T, F >
- SetStepSize() : Scrollbar
- SetStopLocation() : Order
- SetString() : IcuStringIterator , StringIterator
- SetStringParameters() : NewGRFInspectWindow , BaseSetTextfileWindow< TBaseSet > , OskWindow , NetworkGameWindow , AIListWindow , AISettingsWindow , ScriptTextfileWindow , QueryStringWindow , AIConfigWindow , AIDebugWindow , BuildAirportWindow , ReplaceVehicleWindow , BuildVehicleWindow , CompanyFinancesWindow , SelectCompanyLiveryWindow , GoalListWindow , CompanyInfrastructureWindow , CompanyWindow , BuyCompanyWindow , SetDateWindow , DepotWindow , ErrmsgWindow , GenerateLandscapeWindow , CreateScenarioWindow , GoalQuestionWindow , VehicleGroupWindow , BuildIndustryWindow , IndustryViewWindow , IndustryDirectoryWindow , IndustryCargoesWindow , AboutWindow , QueryWindow , MusicTrackSelectionWindow , ContentTextfileWindow , NetworkStartServerWindow , NetworkLobbyWindow , NIHelper , SpriteAlignerWindow , NewGRFParametersWindow , NewGRFTextfileWindow , NewGRFWindow , NewsWindow , BuildObjectWindow , OrdersWindow , BuildRailToolbarWindow , BuildRailStationWindow , BuildSignalWindow , GameOptionsWindow , GameSettingsWindow , CustomCurrencyWindow , SignWindow , SmallMapWindow , CompanyStationsWindow , StationViewWindow , StoryBookWindow , TimetableWindow , TownAuthorityWindow , TownDirectoryWindow , RefitWindow , VehicleListWindow , VehicleViewWindow , ExtraViewportWindow , WaypointWindow , Window , TownViewWindow , VehicleDetailsWindow , SignListWindow
- SetSuitablePalette() : GRFConfig
- SetTimeout() : Window
- SettingEntry() : SettingEntry
- Settings() : LinkGraphJob
- SettingsIniFile() : SettingsIniFile
- SettingsPage() : SettingsPage
- SettingsToString() : ScriptConfig
- SetTitle() : FileToSaveLoad
- SetTransferLoadPlace() : VehicleCargoList
- SetTransfers() : CargoDataEntry
- SetTravelTime() : Order
- SetTravelTimetabled() : Order
- SetTriggers() : VehicleScopeResolver , HouseScopeResolver , IndustriesScopeResolver , ScopeResolver , StationScopeResolver , IndustryTileScopeResolver
- SetUnicodeGlyph() : SpriteFontCache , FreeTypeFontCache , FontCache
- SetUnloadType() : Order
- SetupRailToolbar() : BuildRailToolbarWindow
- SetupScrollbars() : TextfileWindow
- SetupSmallestSize() : NWidgetServerListHeader , NWidgetNewGRFDisplay , NWidgetSmallmapDisplay , NWidgetBase , NWidgetStacked , NWidgetHorizontal , NWidgetMatrix , NWidgetSpacer , NWidgetBackground , NWidgetViewport , NWidgetScrollbar , NWidgetLeaf , NWidgetVertical , NWidgetToolbarContainer
- SetupTargetCount() : IndustryBuildData
- SetupWidgetData() : SmallMapWindow , DepotWindow
- SetupWidgets() : CompanyFinancesWindow
- SetValue() : IniItem , GRFParameterInfo
- SetValueDParams() : SettingEntry
- SetVolume() : MusicDriver_OS2 , MusicDriver_Win32 , MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_QtMidi , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_LibTimidity , MusicDriver_Null , MusicDriver_Cocoa
- SetWagon() : GroundVehicle< T, Type >
- SetWaitTime() : Order
- SetWaitTimetabled() : Order
- SetWhiteBorder() : Window
- SetWidgetDirty() : Window
- SetWidgetDisabledState() : Window
- SetWidgetHighlight() : Window
- SetWidgetLoweredState() : Window
- SetWidgetsDisabledState() : Window
- SetWidgetsLoweredState() : Window
- SetWindowTop() : NewsWindow
- SetZoomLevel() : SmallMapWindow
- Shift() : VehicleCargoList , CBinaryHeapT< T >
- ShiftCargo() : StationCargoList , VehicleCargoList
- ShiftDates() : LinkGraphSchedule , LinkGraph
- ShiftJoinDate() : LinkGraphJob
- ShiftParameters() : StringParameters
- Ship() : Ship
- ShortenCargoColumn() : IndustryCargoesWindow
- ShouldStopAtStation() : Order
- ShowCargo() : StationViewWindow
- ShowDateDropDown() : SetDateWindow
- ShowNewGRFInspectWindow() : Window , LandInfoWindow , IndustryViewWindow , VehicleViewWindow
- ShowVisualEffect() : Vehicle
- ShutdownDrivers() : DriverFactoryBase
- Sign() : Sign
- SignList() : SignList
- SignNameFilter() : SignList
- SignNameSorter() : SignList
- Size() : LinkGraphJob , CBlobT< T > , LinkGraph
- size() : MultiMap< Tkey, Tvalue, Tcompare >
- Size() : ContentInfo
- SizeRef() : FixedSizeArray< T, C >
- SkipToNextRealOrderIndex() : Vehicle
- SmallArray() : SmallArray< T, B, N >
- SmallMap() : SmallMap< T, U, S >
- SmallMapCenterOnCurrentPos() : SmallMapWindow
- SmallMatrix() : SmallMatrix< T >
- SmallPair() : SmallPair< T, U >
- SmallSet() : SmallSet< Tdir, items >
- SmallStack() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- SmallStackItem() : SmallStackItem< Titem, Tindex >
- SmallVector() : SmallVector< T, S >
- SmartAlloc() : ByteBlob
- SocketTypeAsString() : NetworkAddress
- Sort() : GUIList< T, F >
- SortBridgeList() : BuildBridgeWindow
- SortButtonWidth() : Window
- SortContentList() : NetworkContentListWindow
- SortNetworkGameList() : NetworkGameWindow
- SortStationsList() : CompanyStationsWindow
- SortType() : GUIList< T, F >
- Source() : VehicleCargoList , StationCargoList
- SourceStation() : CargoPacket
- SourceStationXY() : CargoPacket
- SourceSubsidyID() : CargoPacket
- SourceSubsidyType() : CargoPacket
- SpawnAll() : LinkGraphSchedule
- SpawnNext() : LinkGraphSchedule
- SpawnThread() : LinkGraphJob
- SpecializedStation() : SpecializedStation< T, Tis_waypoint >
- SpecializedVehicle() : SpecializedVehicle< T, Type >
- Split() : CargoPacket
- SpriteFontCache() : SpriteFontCache
- Stage() : VehicleCargoList
- Start() : MusicDriver_LibTimidity , SoundDriver_Allegro , MusicDriver_Cocoa , VideoDriver_Allegro , VideoDriver_Null , SoundDriver_Cocoa , VideoDriver_Cocoa , MusicDriver_Win32 , SoundDriver_Null , MusicDriver_OS2 , SoundDriver_Win32 , MusicDriver_DMusic , MusicDriver_Allegro , Driver , MusicDriver_QtMidi , VideoDriver_SDL , MusicDriver_BeMidi , VideoDriver_Dedicated , SoundDriver_SDL , MusicDriver_ExtMidi , MusicDriver_Null , VideoDriver_Win32
- StartNew() : Game , AI
- StateSorter() : NetworkContentListWindow
- Station() : LinkGraph::NodeWrapper< Tnode, Tedge >
- StationFinder() : StationFinder
- StationNameSorter() : CompanyStationsWindow
- StationRatingMaxSorter() : CompanyStationsWindow
- StationRatingMinSorter() : CompanyStationsWindow
- StationResolverObject() : StationResolverObject
- StationScopeResolver() : StationScopeResolver
- StationTypeSorter() : CompanyStationsWindow
- StationWaitingAvailableSorter() : CompanyStationsWindow
- StationWaitingTotalSorter() : CompanyStationsWindow
- Stop() : SoundDriver_Null , MusicDriver_QtMidi , SoundDriver_SDL , VideoDriver_Dedicated , AI , Driver , MusicDriver_ExtMidi , MusicDriver_LibTimidity , VideoDriver_Null , MusicDriver_Allegro , MusicDriver_OS2 , SoundDriver_Cocoa , MusicDriver_Null , MusicDriver_Cocoa , VideoDriver_SDL , MusicDriver_BeMidi , VideoDriver_Win32 , VideoDriver_Allegro , MusicDriver_DMusic , MusicDriver_Win32 , SoundDriver_Allegro , SoundDriver_Win32 , VideoDriver_Cocoa
- StopSong() : MusicDriver_QtMidi , MusicDriver_OS2 , MusicDriver_Null , MusicDriver_Cocoa , MusicDriver_LibTimidity , MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_DMusic , MusicDriver_Win32 , MusicDriver_ExtMidi
- StoredCount() : VehicleCargoList
- StorePSA() : ScopeResolver , AirportScopeResolver , IndustriesScopeResolver , TownScopeResolver
- StoreSizePosition() : NWidgetBase
- StoreValue() : PersistentStorageArray< TYPE, SIZE > , TemporaryStorageArray< TYPE, SIZE >
- StoryPage() : StoryPage
- StoryPageElement() : StoryPageElement
- StringData() : StringData
- StringFilter() : StringFilter
- StringListReader() : StringListReader
- StringNameWriter() : StringNameWriter
- StringParameters() : StringParameters
- StringReader() : StringReader
- StringToSettings() : ScriptConfig
- stSlopeCost() : CYapfCostBase
- stThreadProc() : ThreadObject_pthread , ThreadObject_Win32 , ThreadObject_OS2
- Subsidy() : Subsidy
- Succeeded() : CommandCost
- Supply() : LinkGraph::NodeWrapper< Tnode, Tedge >
- SwapShares() : FlowStat
- SwitchMapType() : SmallMapWindow
- SwitchMode() : BasePersistentStorageArray
- SwitchToNextOrder() : VehicleOrderSaver
- SymmetricScaler() : SymmetricScaler